---
# BBOSS Copyright (C) 2018-2021, Laurent Marchelli
# SPDX-License-Identifier: GPL-3.0-or-later

- name: Nexus-stack - Installation
  hosts: nexus_proxy, nexus_develop
  become: yes
  tasks:
    - name: Nexus-stack - Configure Linux On-Premise
      ansible.builtin.include_role:
        name: linux_prem
        apply: { tags: [ linux ] }
      tags: linux

    - name: Nexus-stack - Install Docker
      ansible.builtin.include_role:
        name: docker
      vars:
        docker_users:
          - "{{ stack_project.user }}"
      tags: docker

    - name: Nexus-stack - Install Docker-Stack
      ansible.builtin.include_role:
        name: docker_stack
      tags: stack
